'use client';

import { useFormStatus } from 'react-dom';

const SubmitButton: React.FC = () => {
  const { pending } = useFormStatus();

  return (
    <button type="submit" className="submit-button" disabled={pending}>
      Buch erstellen
    </button>
  );
};

export default SubmitButton;
